Bug 24828 - Add cash register support to SIP2
Summary: Add cash register support to SIP2
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 23321
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-03-09 11:44 UTC by Martin Renvoize
Modified: 2020-04-03 22:19 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24828: Add ability to specify cash register in SIP config (3.30 KB, patch)
2020-03-09 14:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24828: Add ability to specify cash register in SIP config (4.53 KB, patch)
2020-03-23 13:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24828: Add ability to specify cash register in SIP config (4.60 KB, patch)
2020-03-23 13:50 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-03-09 11:44:56 UTC
We add support for defining cash registers with bug 23321, however, these registers are currently only available for transactions via the staff client. We should also be able to add a register definition for a SIP client and assign transactions to it.
Comment 1 Martin Renvoize 2020-03-09 14:56:16 UTC
Created attachment 100385 [details] [review]
Bug 24828: Add ability to specify cash register in SIP config

This patch adds the ablity to specify a cash register id to link to
payments taken via SIP2 clients.
Comment 2 Martin Renvoize 2020-03-23 13:29:47 UTC
Created attachment 101447 [details] [review]
Bug 24828: Add ability to specify cash register in SIP config

This patch adds the ablity to specify a cash register id to link to
payments taken via SIP2 clients.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Kyle M Hall 2020-03-23 13:50:19 UTC
Created attachment 101449 [details] [review]
Bug 24828: Add ability to specify cash register in SIP config

This patch adds the ablity to specify a cash register id to link to
payments taken via SIP2 clients.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Martin Renvoize 2020-03-25 13:55:14 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 22:19:09 UTC
enhancement not backported to 19.11.x